Cualquier herramienta que pueda actualizar .NET 1.1 Código WINFORM a .NET 2.0 "estilo"? -- winforms campo con upgrade camp Relacionados El problema

Any tool that can upgrade .NET 1.1 WinForm code to .NET 2.0 “style”?


1
vote

problema

Español

Me refiero a una herramienta que puede extraer ciertos contenidos del Código WinForm Old .NET 1.1 y colóquelo en el archivo .Designer (haga que se vea como un código WINFORM .NET 2.0). Esto también implica una actualización del archivo del proyecto (.csproj / .vbproj) ..

Si no hay herramienta existente, ¿alguna punta o puntero sobre cómo hacerlo programando?

Original en ingles

I mean a tool that can extract certain contents from old .NET 1.1 WinForm code and put it in .designer file (make it looks like .net 2.0 WinForm code). This also involves an update to the project file (.csproj/.vbproj)..

If no existing tool yet, any tip or pointer on how to do this by programming?

     

Lista de respuestas

1
 
vote
vote
La mejor respuesta
 

Es posible realizar usando una macro, eche un vistazo a este artículo para el código macro.

Si alguien más está buscando hacer esto por vb.net (como lo hice), el único ejemplo que pude encontrar fue este en C #, pero me dio una base y lo tenemos para trabajar con un proyecto VB.

 

It is possible to do using a macro, have a look at this article for the macro code.

If anyone else is looking to do this for VB.net (as I did) the only example I could find was this one in c# but it gave me a basis and we got it to work with a vb project.

 
 
   
   

Relacionados problema

4  ¿Manera más fácil de determinar el rendimiento de la compilación del cuello de botella de hardware en una sola PC?  ( Easiest way to determine compilation performance hardware bottleneck on single p ) 
Ahora he guardado un poco de dinero para la actualización de hardware. Lo que me gustaría saber, ¿cuál es la forma más fácil de medir qué parte del hardware...

4  ¿Cómo puedo actualizar mi solicitud de Java EE sin tiempo de inactividad?  ( How may i update my java ee application with no downtime ) 
¿Cómo puedo automatizar (sin tiempo de inactividad) despliegue? Y poder apagar cualquier servidor para mantenimiento. ¿Qué herramientas debo usar? Estoy u...

2  ¿Actualizará PHP 5.2.5 a 5.2.6 Resultado en cualquier problema?  ( Will upgrading php 5 2 5 to 5 2 6 result in any problems ) 
Actualmente estamos ejecutando con PHP 5.2.5. Ahora hemos encontrado un error que crea una falla SEG. Nuestra primera idea en la solución se está actualizando...

0  PLT.ION () comportamiento recientemente cambiado  ( Plt ion recently changed behaviour ) 
El siguiente script de Python ya no muestra una cifra, como solía en mi máquina: import matplotlib.pyplot as plt plt.scatter(1, 1) plt.show() # Blocks and...

2  Acceda a la configuración de Sinatra (estilo clásico) desde modelos fuera del archivo principal  ( Access sinatra classic style settings from models outside main file ) 
Estoy actualizando una aplicación sinatra ("estilo clásico") a la última versión lanzada, de 1.3.3 a 1.4.6. También uso config_file a partir de sinatra-con...

0  Actualizar NetBeans sin perder la configuración de la última versión  ( Upgrade netbeans without losing the configuration of last version ) 
Estoy trabajando con netbeans 7.4 . He creado muchas macros y personalizamos muchos accesos directos. Ahora quiero descargar la nueva netbeans versión 8.0...

1  ¿Cómo actualizar la versión de CodeIgniter Framework? [cerrado]  ( How to upgrade version of codeigniter framework ) 
cerrado . Esta pregunta debe ser más enfocado . Actualmente no está aceptando respuestas. ...

777  Actualización de nodo.js a la última versión  ( Upgrading node js to latest version ) 
Entonces, tengo nodo.js instalado y ahora cuando intenté instalar Mongoosejs, me di cuenta de que no tengo la versión necesaria de NOde.js (tengo v0.4.11 y v0...

5  Rails 3: anticipando la migración para los 2,3 principiantes  ( Rails 3 anticipating migration for 2 3 beginners ) 
Soy un principiante en los rieles. Yo uso 2.3.x. Acabo de ver rieles 3 está pre-lanzado [ Editar: ¡Ahora en la liberación candidata! ]. Probablemente probab...

0  Cuestiones sobre el uso de RPM -U para actualizar un paquete instalado  ( Issues about using rpm u to upgrade an installed package ) 
Después de la primera instalación del paquete example.rpm usando rpm -Uvh ./example.rpm . Forjé algunos archivos de configuración de ejemplo por error. Luego...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos